List deployment records
Retrieves a paginated list of deployment records with optional filtering by environment, project, version, status, artifact kind, and deployment name.
Authorizations
Bearer token for authentication
Query Parameters
The (zero-based) offset of the first item returned in the collection.
The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Optional filter by environment name
Optional filter by project name
Optional filter by project version name (requires project_name)
Optional filter by deployment status
- DEPLOYED: DEPLOYED indicates the artifact is currently running in the environment slot.
- DECOMMISSIONED: DECOMMISSIONED indicates the artifact has been intentionally removed from the environment slot.
- SUPERSEDED: SUPERSEDED indicates the artifact was replaced by a different artifact in the same environment slot.
DEPLOYMENT_STATUS_UNSPECIFIED, DEPLOYED, DECOMMISSIONED, SUPERSEDED Optional filter by artifact kind
ARTIFACT_KIND_UNSPECIFIED, CONTAINER_IMAGE, HELM_CHART Optional filter by deployment name (returns records for a specific slot)
When true, returns all records instead of only the latest per (environment_id, deployment_name) slot. By default, only the most recent record per slot is returned.
Optional filter by logical environment name
Optional filter by artifact digest (e.g. sha256:abc...)
Response
A successful response.
